package com.bonus.canteen.core.auth.oauth.app.manage.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotBlank;

@ApiModel("app手机验证码登录入参")
public class AppMobileUserLoginDTO {
   @ApiModelProperty("手机号")
   private @NotBlank(
   message = "{auth_mobile_null}"
) String telephoneNumber;
   @ApiModelProperty("短信验证码")
   private @NotBlank(
   message = "{auth_code_null}"
) String code;

   public String getTelephoneNumber() {
      return this.telephoneNumber;
   }

   public String getCode() {
      return this.code;
   }

   public void setTelephoneNumber(final String telephoneNumber) {
      this.telephoneNumber = telephoneNumber;
   }

   public void setCode(final String code) {
      this.code = code;
   }

   public String toString() {
      String var10000 = this.getTelephoneNumber();
      return "AppMobileUserLoginDTO(telephoneNumber=" + var10000 + ", code=" + this.getCode() + ")";
   }
}
